Debian Bug report logs - #90091
ITP: lame -- mp3 encoder

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>

Date: Sun, 18 Mar 2001 08:06:00 UTC

Owned by: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>

Severity: wishlist

Fixed in version lame/3.98.4+repack2-1

Done: Andres Mejia <amejia@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#90091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <mark@purcell.aaa.net.au>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mark Purcell <mark@purcell.aaa.net.au>
To: submit@bugs.debian.org
Subject: ITP: lame - mp3 encoder
Date: Sun, 18 Mar 2001 15:15:42 +1100
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist

I am intending to package LAME (mp3 encoder).  There are some patent 
limitations on lame's use in Germany/USA so I am proposing 
Section: non-free/sound.

Mark


                      LAME 3.xx   
               LAME Ain't an MP3 Encoder
               http://www.sulaco.org/mp3
	           October 1999

Originally developed by Mike Cheng (www.uq.net.au/~zzmcheng).  Now 
maintained by Mark Taylor (www.sulaco.org/mp3).

This code is distributed under the GNU LESSER PUBLIC LICENSE
(LGPL, see www.gnu.org) with the following modification:

1. If you determine that distribution of LAME requires a patent license,
   and you obtain a patent license, you may distribute LAME even though
   redistribution of LAME may also require a patent license.  

2. You agree not to enforce any patent claims for any aspect of
   MPEG audio compression, or any other techniques contained in 
   the LAME source code. 


============================================================================

see the file "INSTALL" for installation (compiling) instructions.  
see the file "USAGE" for the most up-to-date guide to the command line options.
see the file "LICENSE" for details on how to use LAME in non-GPL programs.
see the file "HACKING" for some general codeing guidelines

There is HTML documentation and a man page in the doc directory.
The HTML docs were contributed by Gabriel Bouvigne (www.mp3tech.org).
See www.mp3tech.org for more audio compression information and links.

============================================================================

LAME uses the MPGLIB decoding engine, from the
MPG123 package, written by: Michael Hipp (www.mpg123.de) MPGLIB is
released under the GPL, while MPG123 is released under a more
restrictive agreement.

Various components are:

Copyrights (c) 1999 by Mark Taylor: new psy-model, quantization and bit allocation 
Copyrights (c) 1998 by Michael Cheng:  new transforms and many other improvements
Copyrights (c) 1995,1996,1997 by Michael Hipp: mpglib

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#90091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Marcelo E. Magallon" <mmagallo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #10 received at 90091@bugs.debian.org (full text, mbox):

From: "Marcelo E. Magallon" <mmagallo@debian.org>
To: Mark Purcell <mark@purcell.aaa.net.au>, 90091@bugs.debian.org
Subject: Re: Bug#90091: ITP: lame - mp3 encoder
Date: Sun, 18 Mar 2001 11:52:07 +0100
>> Mark Purcell <mark@purcell.aaa.net.au> writes:

 > I am intending to package LAME (mp3 encoder).  There are some patent 
 > limitations on lame's use in Germany/USA so I am proposing 
 > Section: non-free/sound.

 http://www.debian.org/devel/wnpp/unable-to-package

 AFAIK, this is not about software using Fraunhofer's code, it's about
 MP3 encoders.

-- 
Marcelo



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#90091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Mark Purcell" <mark@purcell.aaa.net.au>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #15 received at 90091@bugs.debian.org (full text, mbox):

From: "Mark Purcell" <mark@purcell.aaa.net.au>
To: "Marcelo E. Magallon" <mmagallo@debian.org>, <90091@bugs.debian.org>
Subject: Re: Bug#90091: ITP: lame - mp3 encoder
Date: Sun, 18 Mar 2001 23:16:07 +1100
>  http://www.debian.org/devel/wnpp/unable-to-package
>
>  AFAIK, this is not about software using Fraunhofer's code, it's about
>  MP3 encoders.

Lame does not contain any of the Fraunhofer Institute code, the lame source
code is fully GPL.  Other mp3 encoders, refered to at wnpp/unable-to-package
are based on the Fraunhofer Institute code.  However, personal and
commercial use of compiled versions of LAME (or any other mp3 encoder)
requires a patent license in some countries.

Which qualifies for non-free in Debian as the patent is only approved in
Germany and USA.

Mark


From: http://www.mp3dev.org/mp3/

Following the great history of GNU naming, LAME originally stood for LAME
Ain't an Mp3 Encoder.   LAME started life as a GPL'd patch against the
dist10 ISO demonstration source, and thus was incapable of producing an mp3
stream or even being compiled by itself.   But in May 2000, the last
remnants of the ISO source code were replaced, and now LAME is the source
code for a fully GPL'd MP3 encoder, with speed and quality to rival all
commercial competitors.

Personal and commercial use of compiled versions of LAME (or any other mp3
encoder) requires a patent license in some countries.

[...]

Personal and commercial use of compiled versions of LAME (or any other mp3
encoder) requires a patent license in some countries.


From http://www.mp3-tech.org/patents.html

Fraunhofer Institute has been the main developer of MPEG audio Layer-3, and
the MP3 standard that has been approved is mainly based on its work, which
Fraunhofer has protected with a patent. It is noticeable that this patent
has been approved in 1989 in Germany and in 1996 in the USA (so, after the
establishment of the MP3 standard) under the number 5,579,430, but not in
other countries. THOMSOM claims to possess patents related to MP3 too, but I
did not find anyone.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#90091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Marcelo E. Magallon" <mmagallo@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #20 received at 90091@bugs.debian.org (full text, mbox):

From: "Marcelo E. Magallon" <mmagallo@debian.org>
To: Mark Purcell <mark@purcell.aaa.net.au>
Cc: 90091@bugs.debian.org
Subject: Re: Bug#90091: ITP: lame - mp3 encoder
Date: Sun, 18 Mar 2001 15:08:09 +0100
>> Mark Purcell <mark@purcell.aaa.net.au> writes:

 > Lame does not contain any of the Fraunhofer Institute code, the lame source
 > code is fully GPL.  Other mp3 encoders, refered to at wnpp/unable-to-package
 > are based on the Fraunhofer Institute code.  However, personal and
 > commercial use of compiled versions of LAME (or any other mp3 encoder)
 > requires a patent license in some countries.

 I know all of this, you are preaching to the choir.  Please take this
 to debian-legal or debian-devel, *AFTER* reading the archives.  IIRC,
 this came up in november or december last year.

 And don't mail me copies of this, I already get this mail.

-- 
Marcelo



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#90091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@cibalia.gkvk.hr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #25 received at 90091@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@cibalia.gkvk.hr>
To: Mark Purcell <mark@purcell.aaa.net.au>, 90091@bugs.debian.org
Cc: "Marcelo E. Magallon" <mmagallo@debian.org>
Subject: Re: Bug#90091: ITP: lame - mp3 encoder
Date: Sun, 18 Mar 2001 15:53:07 +0100
On Sun, Mar 18, 2001 at 11:16:07PM +1100, Mark Purcell wrote:
> However, personal and commercial use of compiled versions of LAME (or any
> other mp3 encoder) requires a patent license in some countries.
> 
> Which qualifies for non-free in Debian as the patent is only approved in
> Germany and USA.
> 
> Personal and commercial use of compiled versions of LAME (or any other mp3
> encoder) requires a patent license in some countries.

So, you're saying we can actually distribute the sources and binaries, but
once someone tries to use it, they need to arrange it with the patent
holder? Somehow I don't think that will work. :|

-- 
Digital Electronic Being Intended for Assassination and Nullification



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#90091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to <adconrad@0c3.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #30 received at 90091@bugs.debian.org (full text, mbox):

From: "Adam Conrad" <adconrad@0c3.net>
To: "'Josip Rodin'" <joy@cibalia.gkvk.hr>, <90091@bugs.debian.org>, "'Mark Purcell'" <mark@purcell.aaa.net.au>
Subject: RE: Bug#90091: ITP: lame - mp3 encoder
Date: Sun, 18 Mar 2001 08:20:53 -0700
Josip,

Not all people will have to apply for a patent license to use it, only
certain people.  That should qualify it for non-free, in much the same way
ssh2 is in non-free because commercial users need to license it.

I realize that many Debian developers and users are in the US, so it would
seem as though "all" users would have to apply for a patent license, however
many != all.  I, for one, live in Canada, and AFAIK, I can legally use LAME
all I want, and I think it would be great to have it packaged.

But... This poor dead horse has been flogged again and again, and if
debian-legal doesn't think it's feasible, I'm not going to argue otherwise.

... Adam

-----Original Message-----
From: Josip Rodin [mailto:joy@cibalia.gkvk.hr]
Sent: Sunday, March 18, 2001 7:53 AM
To: Mark Purcell; 90091@bugs.debian.org
Cc: Marcelo E. Magallon
Subject: Bug#90091: ITP: lame - mp3 encoder


On Sun, Mar 18, 2001 at 11:16:07PM +1100, Mark Purcell wrote:
> However, personal and commercial use of compiled versions of LAME (or any
> other mp3 encoder) requires a patent license in some countries.
>
> Which qualifies for non-free in Debian as the patent is only approved in
> Germany and USA.
>
> Personal and commercial use of compiled versions of LAME (or any other mp3
> encoder) requires a patent license in some countries.

So, you're saying we can actually distribute the sources and binaries, but
once someone tries to use it, they need to arrange it with the patent
holder? Somehow I don't think that will work. :|

--
Digital Electronic Being Intended for Assassination and Nullification


--
To UNSUBSCRIBE, email to debian-bugs-dist-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact
listmaster@lists.debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#90091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@cibalia.gkvk.hr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #35 received at 90091@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@cibalia.gkvk.hr>
To: Adam Conrad <adconrad@0c3.net>
Cc: 90091@bugs.debian.org, 'Mark Purcell' <mark@purcell.aaa.net.au>
Subject: Re: Bug#90091: ITP: lame - mp3 encoder
Date: Sun, 18 Mar 2001 16:46:29 +0100
On Sun, Mar 18, 2001 at 08:20:53AM -0700, Adam Conrad wrote:
> > > However, personal and commercial use of compiled versions of LAME (or any
> > > other mp3 encoder) requires a patent license in some countries.
> > >
> > > Which qualifies for non-free in Debian as the patent is only approved in
> > > Germany and USA.
> > >
> > > Personal and commercial use of compiled versions of LAME (or any other mp3
> > > encoder) requires a patent license in some countries.
> > 
> > So, you're saying we can actually distribute the sources and binaries, but
> > once someone tries to use it, they need to arrange it with the patent
> > holder? Somehow I don't think that will work. :|
> 
> Not all people will have to apply for a patent license to use it, only
> certain people. That should qualify it for non-free, in much the same way
> ssh2 is in non-free because commercial users need to license it.

With ssh2, the redistribution is explicitely allowed by the license, as long
as you're not doing it for profit, which kinda works for Debian. Patents on
ssh2 don't play a major role, it seems.

But with lame, the redistribution is encumbered by patents, which is
worrisome. Putting this in any part of Debian means making every one of our
American and German mirrors redistribute it, and they would explicitely need
a license to do that.

That's my understanding, feel free to correct me if I'm wrong :)

-- 
Digital Electronic Being Intended for Assassination and Nullification



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#90091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to <adconrad@0c3.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #40 received at 90091@bugs.debian.org (full text, mbox):

From: "Adam Conrad" <adconrad@0c3.net>
To: "'Josip Rodin'" <joy@cibalia.gkvk.hr>
Cc: <90091@bugs.debian.org>, "'Mark Purcell'" <mark@purcell.aaa.net.au>
Subject: RE: Bug#90091: ITP: lame - mp3 encoder
Date: Sun, 18 Mar 2001 11:04:28 -0700
As I understand it, it's only the end-users of encoders (not the writers or
distributors) who are subject to the licensing fee.  That said, Pandora is
in the Netherlands, so couldn't the issue be skirted by making the package
non-US/non-free, and pointing the end user towards docs which explain the
situation to them, should the choose to download and use it?

In the end, it looks to me like it's the end user's responsibility here, not
the distributor, and I'd hate to see a package not make it in because The
Debian Project is going to assume that their US and German users are
unwilling to read a disclaimer and act accordingly.

... Adam

-----Original Message-----
From: Josip Rodin [mailto:joy@cibalia.gkvk.hr]
Sent: Sunday, March 18, 2001 8:46 AM
To: Adam Conrad
Cc: 90091@bugs.debian.org; 'Mark Purcell'
Subject: Re: Bug#90091: ITP: lame - mp3 encoder


On Sun, Mar 18, 2001 at 08:20:53AM -0700, Adam Conrad wrote:
> > > However, personal and commercial use of compiled versions of LAME (or
any
> > > other mp3 encoder) requires a patent license in some countries.
> > >
> > > Which qualifies for non-free in Debian as the patent is only approved
in
> > > Germany and USA.
> > >
> > > Personal and commercial use of compiled versions of LAME (or any other
mp3
> > > encoder) requires a patent license in some countries.
> >
> > So, you're saying we can actually distribute the sources and binaries,
but
> > once someone tries to use it, they need to arrange it with the patent
> > holder? Somehow I don't think that will work. :|
>
> Not all people will have to apply for a patent license to use it, only
> certain people. That should qualify it for non-free, in much the same way
> ssh2 is in non-free because commercial users need to license it.

With ssh2, the redistribution is explicitely allowed by the license, as long
as you're not doing it for profit, which kinda works for Debian. Patents on
ssh2 don't play a major role, it seems.

But with lame, the redistribution is encumbered by patents, which is
worrisome. Putting this in any part of Debian means making every one of our
American and German mirrors redistribute it, and they would explicitely need
a license to do that.

That's my understanding, feel free to correct me if I'm wrong :)

--
Digital Electronic Being Intended for Assassination and Nullification




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#90091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@cibalia.gkvk.hr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #45 received at 90091@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@cibalia.gkvk.hr>
To: Adam Conrad <adconrad@0c3.net>
Cc: 90091@bugs.debian.org, 'Mark Purcell' <mark@purcell.aaa.net.au>
Subject: Re: Bug#90091: ITP: lame - mp3 encoder
Date: Sun, 18 Mar 2001 19:18:26 +0100
On Sun, Mar 18, 2001 at 11:04:28AM -0700, Adam Conrad wrote:
> As I understand it, it's only the end-users of encoders (not the writers or
> distributors) who are subject to the licensing fee.

AFAICT distribution falls under use. But we'd have to see the exact text of
the patent to verify that, and possibly an opinion by a patent lawyer. (ugh :)

> In the end, it looks to me like it's the end user's responsibility here, not
> the distributor, and I'd hate to see a package not make it in because The
> Debian Project is going to assume that their US and German users are
> unwilling to read a disclaimer and act accordingly.

Yeah, but we can never be careful enough, who knows what their lawyers might
want to do to us...

-- 
Digital Electronic Being Intended for Assassination and Nullification



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#90091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@fs.tum.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #50 received at submit@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@fs.tum.de>
To: Mark Purcell <mark@purcell.aaa.net.au>, <90091@bugs.debian.org>
Cc: <submit@bugs.debian.org>, <debian-bugs-dist@lists.debian.org>, <wnpp@debian.org>
Subject: Re: Bug#90091: ITP: lame - mp3 encoder
Date: Sun, 18 Mar 2001 20:45:29 +0100 (CET)
On Sun, 18 Mar 2001, Mark Purcell wrote:

> Package: wnpp
> Severity: wishlist
>
> I am intending to package LAME (mp3 encoder).  There are some patent
> limitations on lame's use in Germany/USA so I am proposing
> Section: non-free/sound.

According to [1] these patents are vailid in several other countries, too.

> Mark

cu
Adrian

[1] http://mp3licensing.com/patents.html


-- 

Nicht weil die Dinge schwierig sind wagen wir sie nicht,
sondern weil wir sie nicht wagen sind sie schwierig.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#90091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to <adconrad@0c3.net>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #55 received at 90091@bugs.debian.org (full text, mbox):

From: "Adam Conrad" <adconrad@0c3.net>
To: "'Josip Rodin'" <joy@cibalia.gkvk.hr>
Cc: <90091@bugs.debian.org>, "'Mark Purcell'" <mark@purcell.aaa.net.au>
Subject: RE: Bug#90091: ITP: lame - mp3 encoder
Date: Sun, 18 Mar 2001 12:37:26 -0700
Hmm... Valid points... Does Debian have a patent lawyer kicking around with
the project who could help out?... It's certainly not worth paying one for
the sake of a single package (have you SEEN their fees?.. Eesh..), but if we
have someone on retainer already, or if there happens to be a
friend-of-friend connection to someone who'd be willing to look into it, it
may be worth it.  I've always been proud of the fact that Debian tries to be
lawful as much as possible (I defend the pine4 fiasco to my friends
constantly.. It's their one big bitch about Debian), but if LAME can be
distributed legally somehow, that would be great.

Either way, I only butted in in the first place to try to lend a bit more
perspective to the debate, but I do realize that this has been hashed out
time and again by many people, so if we've done all we can reasonably do
without dropping great sums of cash to hire counsel, then maybe we should
just let it drop again.

... Adam

-----Original Message-----
From: Josip Rodin [mailto:joy@cibalia.gkvk.hr]
Sent: Sunday, March 18, 2001 11:18 AM
To: Adam Conrad
Cc: 90091@bugs.debian.org; 'Mark Purcell'
Subject: Re: Bug#90091: ITP: lame - mp3 encoder


On Sun, Mar 18, 2001 at 11:04:28AM -0700, Adam Conrad wrote:
> As I understand it, it's only the end-users of encoders (not the writers
or
> distributors) who are subject to the licensing fee.

AFAICT distribution falls under use. But we'd have to see the exact text of
the patent to verify that, and possibly an opinion by a patent lawyer. (ugh
:)

> In the end, it looks to me like it's the end user's responsibility here,
not
> the distributor, and I'd hate to see a package not make it in because The
> Debian Project is going to assume that their US and German users are
> unwilling to read a disclaimer and act accordingly.

Yeah, but we can never be careful enough, who knows what their lawyers might
want to do to us...

--
Digital Electronic Being Intended for Assassination and Nullification




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#90091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@fs.tum.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#90091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@fs.tum.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #65 received at 90091@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@fs.tum.de>
To: <adconrad@0c3.net>, <90091@bugs.debian.org>
Subject: Re: Bug#90091: ITP: lame - mp3 encoder
Date: Sun, 18 Mar 2001 20:47:36 +0100 (CET)
On Sun, 18 Mar 2001, Adam Conrad wrote:

> As I understand it, it's only the end-users of encoders (not the writers or
> distributors) who are subject to the licensing fee.  That said, Pandora is
> in the Netherlands, so couldn't the issue be skirted by making the package
> non-US/non-free, and pointing the end user towards docs which explain the
> situation to them, should the choose to download and use it?

There are several mirrors of non-US in Germany.

And according to [1] the patents are also valid in the Netherlands.

> In the end, it looks to me like it's the end user's responsibility here, not
> the distributor, and I'd hate to see a package not make it in because The
> Debian Project is going to assume that their US and German users are
> unwilling to read a disclaimer and act accordingly.

We must ensure that there's no legal risk for any of our mirrors or it's a
danger for Debian as a whole.

> ... Adam

cu
Adrian

[1] http://mp3licensing.com/patents.html


-- 

Nicht weil die Dinge schwierig sind wagen wir sie nicht,
sondern weil wir sie nicht wagen sind sie schwierig.





Acknowledgement sent to Mark Purcell <mark@purcell.aaa.net.au>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #68 received at 90091-quiet@bugs.debian.org (full text, mbox):

From: Mark Purcell <mark@purcell.aaa.net.au>
To: debian-devel@lists.debian.org, debian-legal@lists.debian.org
Cc: 90091-quiet@bugs.debian.org
Subject: ITP: lame - mp3 encoder
Date: Mon, 19 Mar 2001 06:45:36 +1100
[Message part 1 (text/plain, inline)]
I am intending to package LAME (mp3 encoder).  There are some patent
limitations on lame's use in Germany/USA so I am proposing

Section: non-free/sound.

Mark


>  http://www.debian.org/devel/wnpp/unable-to-package
>
>  AFAIK, this is not about software using Fraunhofer's code, it's about
>  MP3 encoders.

Lame does not contain any of the Fraunhofer Institute code, the lame source
code is fully GPL.  Other mp3 encoders, refered to at wnpp/unable-to-package
are based on the Fraunhofer Institute code.  However, personal and
commercial use of compiled versions of LAME (or any other mp3 encoder)
requires a patent license in some countries.

Which qualifies for non-free in Debian as the patent is only approved in
Germany and USA.

Mark


From: http://www.mp3dev.org/mp3/

Following the great history of GNU naming, LAME originally stood for LAME
Ain't an Mp3 Encoder.   LAME started life as a GPL'd patch against the
dist10 ISO demonstration source, and thus was incapable of producing an mp3
stream or even being compiled by itself.   But in May 2000, the last
remnants of the ISO source code were replaced, and now LAME is the source
code for a fully GPL'd MP3 encoder, with speed and quality to rival all
commercial competitors.

Personal and commercial use of compiled versions of LAME (or any other mp3
encoder) requires a patent license in some countries.

[...]

Personal and commercial use of compiled versions of LAME (or any other mp3
encoder) requires a patent license in some countries.


From http://www.mp3-tech.org/patents.html

Fraunhofer Institute has been the main developer of MPEG audio Layer-3, and
the MP3 standard that has been approved is mainly based on its work, which
Fraunhofer has protected with a patent. It is noticeable that this patent
has been approved in 1989 in Germany and in 1996 in the USA (so, after the
establishment of the MP3 standard) under the number 5,579,430, but not in
other countries. THOMSOM claims to possess patents related to MP3 too, but I
did not find anyone.




                      LAME 3.xx   
               LAME Ain't an MP3 Encoder
               http://www.sulaco.org/mp3
	           October 1999

Originally developed by Mike Cheng (www.uq.net.au/~zzmcheng).  Now 
maintained by Mark Taylor (www.sulaco.org/mp3).

This code is distributed under the GNU LESSER PUBLIC LICENSE
(LGPL, see www.gnu.org) with the following modification:

1. If you determine that distribution of LAME requires a patent license,
   and you obtain a patent license, you may distribute LAME even though
   redistribution of LAME may also require a patent license.  

2. You agree not to enforce any patent claims for any aspect of
   MPEG audio compression, or any other techniques contained in 
   the LAME source code. 


============================================================================

see the file "INSTALL" for installation (compiling) instructions.  
see the file "USAGE" for the most up-to-date guide to the command line options.
see the file "LICENSE" for details on how to use LAME in non-GPL programs.
see the file "HACKING" for some general codeing guidelines

There is HTML documentation and a man page in the doc directory.
The HTML docs were contributed by Gabriel Bouvigne (www.mp3tech.org).
See www.mp3tech.org for more audio compression information and links.

============================================================================

LAME uses the MPGLIB decoding engine, from the
MPG123 package, written by: Michael Hipp (www.mpg123.de) MPGLIB is
released under the GPL, while MPG123 is released under a more
restrictive agreement.

Various components are:

Copyrights (c) 1999 by Mark Taylor: new psy-model, quantization and bit allocation 
Copyrights (c) 1998 by Michael Cheng:  new transforms and many other improvements
Copyrights (c) 1995,1996,1997 by Michael Hipp: mpglib


[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#90091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@cibalia.gkvk.hr>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #73 received at 90091@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@cibalia.gkvk.hr>
To: Adrian Bunk <bunk@fs.tum.de>
Cc: Mark Purcell <mark@purcell.aaa.net.au>, 90091@bugs.debian.org
Subject: Re: Bug#90091: ITP: lame - mp3 encoder
Date: Sun, 18 Mar 2001 21:22:25 +0100
On Sun, Mar 18, 2001 at 08:45:29PM +0100, Adrian Bunk wrote:
> > I am intending to package LAME (mp3 encoder).  There are some patent
> > limitations on lame's use in Germany/USA so I am proposing
> > Section: non-free/sound.
> 
> According to [1] these patents are vailid in several other countries, too.
> 
> [1] http://mp3licensing.com/patents.html

That's the Thomson site... it's rather FUDdy if you ask me. (But that
doesn't change much in this case.)

-- 
Digital Electronic Being Intended for Assassination and Nullification



Acknowledgement sent to lapeyre@physics.arizona.edu:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #76 received at 90091-quiet@bugs.debian.org (full text, mbox):

From: John Lapeyre <lapeyre@bacchus.optics.arizona.edu>
To: Mark Purcell <mark@purcell.aaa.net.au>
Cc: debian-devel@lists.debian.org, debian-legal@lists.debian.org, 90091-quiet@bugs.debian.org
Subject: Re: ITP: lame - mp3 encoder
Date: Sun, 18 Mar 2001 14:44:52 -0700
*Mark Purcell wrote:
> I am intending to package LAME (mp3 encoder).  There are some patent
> limitations on lame's use in Germany/USA so I am proposing
> 
> Section: non-free/sound.
> 

    I think you want to use non-us, instead of non-free.



Acknowledgement sent to Sean 'Shaleh' Perry <shaleh@valinux.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #79 received at 90091-quiet@bugs.debian.org (full text, mbox):

From: Sean 'Shaleh' Perry <shaleh@valinux.com>
To: Mark Purcell <mark@purcell.aaa.net.au>
Cc: debian-devel@lists.debian.org, debian-legal@lists.debian.org, 90091-quiet@bugs.debian.org
Subject: Re: ITP: lame - mp3 encoder
Date: Sun, 18 Mar 2001 13:54:22 -0800
On Mon, Mar 19, 2001 at 06:45:36AM +1100, Mark Purcell wrote:
> I am intending to package LAME (mp3 encoder).  There are some patent
> limitations on lame's use in Germany/USA so I am proposing
> 
> Section: non-free/sound.
>

Please see the various debian archives (bugs, mentors, devel).  Someone ITPs
this about once every 3 months.  It never gets in.



Changed Bug title. Request was from Domenico Andreoli <cavok@filibusta.crema.unimi.it> to control@bugs.debian.org. Full text and rfc822 format available.

Bug closed, send any further explanations to Mark Purcell <mark@purcell.aaa.net.au> Request was from Mark Purcell <mark@purcell.aaa.net.au> to control@bugs.debian.org. Full text and rfc822 format available.

Added indication that bug 90091 blocks 587904 Request was from Reinhard Tartler <siretart@tauware.de> to control@bugs.debian.org. (Thu, 05 Aug 2010 19:57:06 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Felipe Sateler <fsateler@debian.org> to control@bugs.debian.org. (Fri, 06 Aug 2010 16:27:17 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Aug 2010 16:27:18 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'pkg-multimedia-maintainers@lists.alioth.debian.org' from 'Mark Purcell <mark@purcell.aaa.net.au>' Request was from Felipe Sateler <fsateler@debian.org> to control@bugs.debian.org. (Fri, 06 Aug 2010 16:27:18 GMT) Full text and rfc822 format available.

Owner recorded as pkg-multimedia-maintainers@lists.alioth.debian.org. Request was from Felipe Sateler <fsateler@debian.org> to control@bugs.debian.org. (Fri, 06 Aug 2010 16:27:18 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>' from 'pkg-multimedia-maintainers@lists.alioth.debian.org' Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Sun, 26 Sep 2010 14:51:11 GMT) Full text and rfc822 format available.

Owner changed from pkg-multimedia-maintainers@lists.alioth.debian.org to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Sun, 26 Sep 2010 14:51:11 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Sun, 26 Sep 2010 14:51:11 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Andres Mejia <mcitadel@gmail.com> to control@bugs.debian.org. (Sun, 08 May 2011 02:33:14 GMT) Full text and rfc822 format available.

Reply sent to Andres Mejia <amejia@debian.org>:
You have taken responsibility. (Fri, 29 Jul 2011 09:34:26 GMT) Full text and rfc822 format available.

Notification sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug acknowledged by developer. (Fri, 29 Jul 2011 09:34:27 GMT) Full text and rfc822 format available.

Message #106 received at 90091-close@bugs.debian.org (full text, mbox):

From: Andres Mejia <amejia@debian.org>
To: 90091-close@bugs.debian.org
Subject: Bug#90091: fixed in lame 3.98.4+repack2-1
Date: Fri, 29 Jul 2011 09:32:11 +0000
Source: lame
Source-Version: 3.98.4+repack2-1

We believe that the bug you reported is fixed in the latest version of
lame, which is due to be installed in the Debian FTP archive:

lame-doc_3.98.4+repack2-1_all.deb
  to main/l/lame/lame-doc_3.98.4+repack2-1_all.deb
lame_3.98.4+repack2-1.debian.tar.gz
  to main/l/lame/lame_3.98.4+repack2-1.debian.tar.gz
lame_3.98.4+repack2-1.dsc
  to main/l/lame/lame_3.98.4+repack2-1.dsc
lame_3.98.4+repack2-1_amd64.deb
  to main/l/lame/lame_3.98.4+repack2-1_amd64.deb
lame_3.98.4+repack2.orig.tar.gz
  to main/l/lame/lame_3.98.4+repack2.orig.tar.gz
libmp3lame-dev_3.98.4+repack2-1_amd64.deb
  to main/l/lame/libmp3lame-dev_3.98.4+repack2-1_amd64.deb
libmp3lame0_3.98.4+repack2-1_amd64.deb
  to main/l/lame/libmp3lame0_3.98.4+repack2-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 90091@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andres Mejia <amejia@debian.org> (supplier of updated lame package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 28 Jul 2011 19:14:03 -0400
Source: lame
Binary: lame lame-doc libmp3lame0 libmp3lame-dev
Architecture: source amd64 all
Version: 3.98.4+repack2-1
Distribution: unstable
Urgency: low
Maintainer: Debian multimedia packages maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Andres Mejia <amejia@debian.org>
Description: 
 lame       - MP3 encoding library (frontend)
 lame-doc   - MP3 encoding library (documentation)
 libmp3lame-dev - MP3 encoding library (development)
 libmp3lame0 - MP3 encoding library
Closes: 90091
Changes: 
 lame (3.98.4+repack2-1) unstable; urgency=low
 .
   * Update debian/copyright to reflect replacement of portableio code from
     upstream.
   * Update README.source to mention change of portableio code.
 .
 lame (3.98.4+repack1-1) unstable; urgency=low
 .
   [ Andres Mejia ]
   * Disable use of sndfile, breaks KDE apps relying on kio_audiocd slave for CD
     ripping.
   * Fix warning on 64 bit machines on use of size_t.
   * Support parallel builds.
   * Bump to Standards-Version 3.9.2.
   * Fix Vcs-Browser entry.
   * Don't use quilt when source format 3.0 (quilt) is being used.
   * Fixup build system. Don't patch generated files directly.
     Needed to disable GTK support so lame would build.
   * Enable full experimental optimizations.
     NOTE: The only extra optimizations that are really enabled are -O3,
     -fomit-frame-pointer, and -ffast-math. -fschedule-insns2 is on by default in
     -O2, -fbranch-count-reg is on by default in any mode, and -fforce-addr looks
     to be a noop now. This is with using GCC 4.6.*.
   * Modifiy override_dh_clean target to check if quilt is installed, and use it
     to unapply patches during cleaning.
   * Use patch to apply autoreconf changes.
   * Fix description-synopsis-starts-with-article lintian warnings.
   * Add DM-Upload-Allowed: yes.
   * Update to my @debian.org email.
   * Add script that can regenerate repacked tarball.
   * Build system changes are made before the tarball is generated.
   * Remove patches for which the build system is updated for the repacking.
   * No longer require the need to copy autotool files.
   * Update debian/copyright. This includes changes for the removal of the
     problematic exclusions to the LGPL and helpful comments about some of the
     files. This needed an update to latest DEP-5 spec.
   * Use dpkg-source unapply-patches option to unapply patches.
   * Add in changes to output of license information from upstream.
   * Update debian/README.source. This includes information what is changed from
     the original upstream source tarball.
   * Update debian/watch to mangle some common version info from the Debian
     version.
 .
   [ Fabian Greffrath ]
   * Remove duplicate patches/05-armel-no-finite-math-only.diff.
   * Update my e-mail address.
   * Fix dh usage.
   * Build with libsndfile.
   * debian/patches/06-sndfile-stdin.patch: New patch from Gentoo to
     support reading from stdin with sndfile.
   * Do not install the libtool .la file in the -dev package.
   * Do not provide the liblame0 package anymore.
 .
 lame (3.98.4-1) unstable; urgency=low
 .
   * Upload to unstable. Closes: #90091
Checksums-Sha1: 
 ed34e47eeca7d4fbba6f44f5618709024f470f89 1460 lame_3.98.4+repack2-1.dsc
 e481252edf80069318f52ed16c01002965dc1219 1327928 lame_3.98.4+repack2.orig.tar.gz
 d5f5f9297890a305d88428c03d5874546080f0b2 15034 lame_3.98.4+repack2-1.debian.tar.gz
 6560e03e84640c5da1246588d48771b1565d537d 173114 lame_3.98.4+repack2-1_amd64.deb
 bc923cd90b1560d58a270f4705a70a5e8ffac069 173784 lame-doc_3.98.4+repack2-1_all.deb
 40418c2e0a65f03888f5e5491edf4a5f593197d7 301624 libmp3lame0_3.98.4+repack2-1_amd64.deb
 4edcbd7b00969c6fe8aee40491a7e64c9f7263a8 337936 libmp3lame-dev_3.98.4+repack2-1_amd64.deb
Checksums-Sha256: 
 f527e555d4c46c9e0d13cb870347a99b11434468cc06e3138c9248af33292079 1460 lame_3.98.4+repack2-1.dsc
 cff38566ca7e3ddc9b413e91100a8620ec7b59d4a446ec9744de8be7724cfde4 1327928 lame_3.98.4+repack2.orig.tar.gz
 ce5f189f8c50cd90026dea54d7f1d58607925b55459d21e3392104bc2f6b68ab 15034 lame_3.98.4+repack2-1.debian.tar.gz
 4a64045ab71d31eb0c0a6aaae3c11a057ab045e27b27d34da8cc639c3765c9c5 173114 lame_3.98.4+repack2-1_amd64.deb
 49312ba0341536e1ef4254e97f65d36f3b50e7c54b4a05ca1d5ddee02a2fe6fd 173784 lame-doc_3.98.4+repack2-1_all.deb
 897d9bea9243eb37526eb80b405dac4ef9f0d13110eec18f76cc7379acf5bfda 301624 libmp3lame0_3.98.4+repack2-1_amd64.deb
 e55804e0f967e7d29218f4d949404f1c1649c812b4a3d8ff1c95c400fc23e7fa 337936 libmp3lame-dev_3.98.4+repack2-1_amd64.deb
Files: 
 0577678266dbf857cb2c7b11e878848e 1460 sound optional lame_3.98.4+repack2-1.dsc
 2174c92bf18be618ec311a95e4b4da0c 1327928 sound optional lame_3.98.4+repack2.orig.tar.gz
 98b8426eee614426ac3fab6701dde6e2 15034 sound optional lame_3.98.4+repack2-1.debian.tar.gz
 8ea47e61fc82c6aa0d6342d6eae7317d 173114 sound optional lame_3.98.4+repack2-1_amd64.deb
 a3a6cf0ca90875373ea066b4cc923fe2 173784 doc optional lame-doc_3.98.4+repack2-1_all.deb
 0f35a4639fe1e45599476f1539898cd4 301624 libs optional libmp3lame0_3.98.4+repack2-1_amd64.deb
 bcc85d10b2b2deb2236da67366211ebc 337936 libdevel optional libmp3lame-dev_3.98.4+repack2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk4x8HsACgkQgsFbAuXxMZa/+gCeJVmOmvi+O03y4X/nsQNIZVhY
AFUAn0JaC1rxBLa411WTnDlkzrmIWStx
=pKKu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 27 Aug 2011 07:42:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 07:01:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.